> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.conversive.ai/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.conversive.ai/_mcp/server.

# Delete a Template

`DELETE https://api.beconversive.com/api/v2/templates/{template_id}`

Permanently deletes a template. This cannot be undone.

```bash
curl -X DELETE https://api.beconversive.com/api/v2/templates/102031 \
  -H "apiKey: <API_KEY>"
```

**200 Deleted**

```json
{
  "status": "success",
  "message": "SMS template has been deleted successfully"
}
```

## Authentication

| Name     | Type   | Required | Description                        |
| -------- | ------ | -------- | ---------------------------------- |
| `apiKey` | string | Required | API key authentication via header. |

## Path parameters

| Name          | Type    | Required | Description                   |
| ------------- | ------- | -------- | ----------------------------- |
| `template_id` | integer | Required | ID of the template to delete. |

## Query parameters

| Name      | Type   | Required | Description                                                      |
| --------- | ------ | -------- | ---------------------------------------------------------------- |
| `user_id` | string | Optional | User deleting the template. Defaults to the account's main user. |

## Response

| Name      | Type   | Description           |
| --------- | ------ | --------------------- |
| `status`  | string | `success`             |
| `message` | string | Confirmation message. |

## Errors

| Status           | Error                              | Description                                                      |
| ---------------- | ---------------------------------- | ---------------------------------------------------------------- |
| 400 Bad Request  | —                                  | The request is missing a field or has a value that is not valid. |
| 401 Unauthorized | `NO-API-KEY` / `FORBIDDEN-API-KEY` | The API key is missing or not valid.                             |
| 403 Forbidden    | —                                  | More than 25 requests in a minute. Wait a minute and retry.      |